xAIAug 10, 2026
Grok 4.6
Grok 4.6 is xAI’s multimodal chat and reasoning model with function calling, structured outputs, adjustable reasoning effort (low/medium/high/xhigh), and a 500K-token context window.
$2.27/$6.80
per 1M in / out
500K
context window
200K
max output
Quickstart
OpenAI-compatible: point any OpenAI SDK at the Venice base URL with a Venice API key.
curl https://api.venice.ai/api/v1/chat/completions \
-H "Authorization: Bearer $VENICE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "grok-4-6",
"messages": [{ "role": "user", "content": "Explain TEE attestation in two sentences." }],
"reasoning_effort": "high"
}'Base URL
https://api.venice.ai/api/v1Parameters
| Parameter | Values |
|---|---|
model | grok-4-6 |
messages | text · image_url |
max_completion_tokens | Up to 200,000 |
reasoning_effort | low | medium | high | xhigh |
tools | Function definitions |
response_format | { type: |
stream | true | false |
venice_parameters.enable_web_search | auto | on | off |
venice_parameters.enable_x_search | true | false |
Capabilities
What the model takes in, returns and supports through the API.
InTextImage
OutText
Streaming
Function callingstream: truetoolsStructured outputsresponse_formatReasoningreasoning_effort low · medium · high · xhighVisionUp to 10 imagesWeb search
enable_web_searchX search
Prompt cachingReads at $0.57enable_x_searchOptimized for codeTuned for software work
Not supportedvideo input, audio input and log probabilities
Pricing
Billed per token in USD. Reasoning tokens bill as output.
Input$2.27per 1M tokens
Cached input$0.5775% off input
Output$6.80per 1M tokens
Estimate a workload
$0.0079per request
$79.40for 10,000 requests
Blended price against similar models
Specs
- Model ID
grok-4-6- Endpoint
POST /api/v1/chat/completions- Context window
- 500,000 tokens
- Max output
- 200,000 tokens
- Reasoning
low · medium · high · xhigh· default high- Precision
- Not disclosed
- Privacy
- Private
- Weights
- Closed
- Added
- Aug 10, 2026
Compare
| Model | Input | Output |
|---|---|---|
| Grok 4.6 | $2.27 | $6.80 |
| Abliterated Large V2 | $3.00 | $5.00 |
| Qwen 3.8 2.4T | $2.50 | $7.50 |
| Qwen 3.8 Max | $2.50 | $7.50 |
| Gemini 3.5 Flash | $1.55 | $9.45 |